import { physicsObject } from "./physicsObject"

export class propData{
    name       : string
    templateId : number
    rigidbody  : physicsObject

    static copyPropStart(o: propData) {
        let pObject = Object.assign({}, o)
        pObject.rigidbody = physicsObject.copyStart(o.rigidbody)
        return pObject
    }

    static copyPropUpdate(o: propData) {
        let pObject : any = {}
        pObject.name = o.name
        if(!physicsObject.isKinematic(o.rigidbody)){
            pObject.rigidbody = physicsObject.copyUpdate(o.rigidbody)
        }
        return pObject
    }
}